import { createRouter, createWebHistory } from "vue-router";

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      path: "/",
      redirect: "/model",
    },
    {
      path: "/model",
      name: "model",
      redirect: "/model/landerModel",
      component: () => import("../views/model/index.vue"),
      children: [
        {
          path: "/model/landerModel",
          name: "landerModel",
          component: () => import("@/views/model/children/landerModel.vue"),
        },
        {
          path: "/model/roverModel",
          name: "roverModel",
          component: () => import("../views/model/children/roverModel.vue"),
        },

        {
          path: "/model/leapMachineModel",
          name: "leapMachineModel",
          component: () =>
            import("../views/model/children/leapMachineModel.vue"),
        },
        {
          path: "/simulation-config",
          name: "simulationConfig",
          component: () =>
            import("../views/simulation/autonomousFunction/index.vue"),
        },
        {
          path: "/simulation-result",
          name: "simulationResult",
          component: () =>
            import("../views/simulation/realTimeSimulation/index.vue"),
        },
        {
          path: "/simulation",
          name: "simulationTest",
          component: () =>
            import("../views/simulation/testSimulation/index.vue"),
        },
        {
          path: "/simulation-detail",
          name: "simulation-detail",
          component: () =>
            import("../views/simulation/testSimulation/detail.vue"),
        },
        {
          path: "/simulation-testReport",
          name: "simulation-testReport",
          component: () =>
            import("../views/simulation/testSimulation/testReport.vue"),
        },
        {
          
          path: "/systemManage",
          name: "systemUse",
          component: () => import("../views/system/index.vue"),
          redirect: "/systemManage/userManage",
          children: [
            {
              path: "/systemManage/userManage",
              name: "userManage",
              component: () =>
                import("../views/system/userManage.vue"),
            },
            {
              path: "/systemManage/roleManage",
              name: "roleManage",
              component: () =>
                import("../views/system/roleManage.vue"),
            },
          ],
        },
      ],
    },

    {
      path: "/login",
      name: "login",
      component: () => import("../views/login/index.vue"),
    },
  ],
});

export default router;
